diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index e2b7008..7992c6d 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -4864,6 +4864,23 @@ Cambridge Unversity Press, Cambridge, 1916
 {\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
 
+\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.\\
+``Recursive integration of piecewise-continuous functions''\\
+\verb|www.cybertester.com/data/recint.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Jeff97.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+An algorithm is given for the integration of a class of
+piecewise-continuous functions. The integration is with respect to a
+real variable, because the functions considered do not in general
+allow integration in the complex plane to be defined. The class of
+integrands includes commonly occurring waveforms, such as square
+waves, triangular waves, and the floor function; it also includes the
+signum function.  The algorithm can be implemented recursively, and it
+has the property of ensuring that integrals are continuous on domains
+of maximum extent.
+\end{adjustwidth}
+
 \bibitem[Jeffrey 99]{Jeff99} Jeffrey, D.J.; Labahn, G.; Mohrenschildt, M.v.;
 Rich, A.D.\\
 ``Integration of the signum, piecewise and related functions''\\
diff --git a/changelog b/changelog
index fb50413..5f980ac 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140718 tpd src/axiom-website/patches.html 20140718.01.tpd.patch
+20140718 tpd books/bookvolbib add Jeff97
 20140715 tpd src/axiom-website/patches.html 20140715.01.tpd.patch
 20140715 tpd books/bookvolbib add Hoeij04
 20140713 tpd src/axiom-website/patches.html 20140713.01.tpd.patch
diff --git a/patch b/patch
index 11d71bd..80a0955 100644
--- a/patch
+++ b/patch
@@ -1,5 +1,5 @@
-books/bookvolbib add Hoeij04
- 
-\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael
-Algorithms for Polynomial GCD Computation over Algebraic Function Fields
-www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf
+books/bookvolbib add Jeff97
+
+\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.\\
+``Recursive integration of piecewise-continuous functions''\\
+Proc ISSAC'98 pp290-294 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 387e9c5..3b64eb1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4550,6 +4550,8 @@ books/bookvol5  remove compression
 books/bookvol10 absorb src/algebra/Makefile
 <a href="patches/20140715.01.tpd.patch">20140715.01.tpd.patch</a>
 books/bookvolbib add Hoeij04
+<a href="patches/20140718.01.tpd.patch">20140718.01.tpd.patch</a>
+books/bookvolbib add Jeff97
  </body>
 </html>
 
